Kerbal Space Program - Bug #18263

5m fairing base over 5 meters in diameter
03/28/2018 07:39 PM - raptor9_ksp

Status: Closed Start date: 03/28/2018
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version: 1.4.3

Version: 1.4.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Making History

Description

The latest DLC patch over-sized the 5m fairing base to the results in the image below. Clean install immediately after downloading it,
no imported craft files or mods. These were new parts grabbed from the parts list to verify.

| didn't include the version number because there isn't an option yet for 1.4.2.
This was 64-bit Windows, English, KSP v1.4.2.2110 with DLC v1.1.0 installed.

History

#1 - 03/28/2018 08:07 PM - TriggerAu
- Subject changed from [1.4.2] 5m fairing base over 5 meters in diameter to 5m fairing base over 5 meters in diameter

- Version changed from Not Applicable to 1.4.2

Updated version after adding to project

#2 - 03/29/2018 02:14 AM - dawnroselyn

Confirmed this by removing all mods. restored old .cfg file from backup of 1.4.1 and it fixed it.

#4 - 03/29/2018 10:29 AM - Squelch
- Status changed from New to Investigating

- % Done changed from 0 to 20

#5 - 04/10/2018 12:02 AM - skystorm

This was caused by the previous update 1.4.1 accidentally removing the "rescaleFactor = 1" line from the part config causing the fairing base to
actually be 6.25m instead of 5m.

Can be temporarily addressed with the following Module Manager patch file:

@PART [fairingSized]
{

%rescaleFactor = 1

#6 - 04/10/2018 02:39 PM - Squelch
- Status changed from Investigating to Being Worked On
- % Done changed from 20 to 30

#7 - 04/26/2018 11:17 PM - Squelch
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.4.3

- % Done changed from 30 to 80

The fairing size has now been corrected.
#8 - 04/27/2018 05:43 AM - jclovis3
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Both the base size and fairing separation issues have been fixed in this. I'd call that a win/win situation.

#9 - 07/26/2018 09:47 PM - joshua.collins

- Status changed from Resolved to Closed

Files

5m Fairing broken.png 1.24 MB 03/28/2018 raptor9_ksp
